%global momorel 2

Summary: Xlib ASCII ART Viewer
Name: xaav
Version: 1.0
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: Applications/Text
URL: http://www.nonms.org/soft/xaav.html
Source0: http://www.nonms.org/soft/arch/xlib_xaav-%{version}.tgz
NoSource: 0
Patch0: xaav-GNUMakefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libX11
Requires: libXau
Requires: libXdmcp
Requires: libX11

%description
xaav is display AA(ASCII ART) software use Xlib.

%prep
%setup -q -n xlib_xaav
%patch0 -p1

%build
%__rm -f xaav
%make

%install
[ %{buildroot} != / ] && rm -fr %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__install -m0755 xaav %{buildroot}%{_bindir}

%clean
%__rm -fr %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/xaav

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-2m)
- rebuild against rpm-4.6

* Sat May  3 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-1m)
- update to 1.0
- move to main  bylicense change

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0-3m)
- rebuild against gcc43

* Sun Mar 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0-2m)
- fix xaav permission to 0755
- add BuildRequires and Requires

* Mon Mar 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0-1m)
- initial version for momonga
